DATA sim0;
k=-3;
DO ts=-314 TO 0;
t=ts/100;
f=k;
OUTPUT sim0;
END;
RUN;

/* PROC PRINT;
VAR t f;
RUN; */


DATA sim1;
k=3;
DO ts=0 TO 314;
t=ts/100;
f=k;
OUTPUT sim1;
END;
RUN;

/* PROC PRINT;
VAR t f;
RUN; */

DATA sim2;
k=3;
DO ts=314 TO 2*314;
t=ts/100;
f=-k;
OUTPUT sim2;
END;
RUN;

/* PROC PRINT;
VAR t f;
RUN; */


DATA sim3;
k=3;
DO ts=2*314 TO 3*314;
t=ts/100;
f=k;
OUTPUT sim3;
END;
RUN;

/* PROC PRINT;
VAR t f;
RUN; */

DATA sim4;
k=3;
DO ts=3*314 TO 4*314;
t=ts/100;
f=-k;
OUTPUT sim4;
END;
RUN;


DATA sim5;
SET sim0 sim1 sim2 sim3 sim4; by t;

PROC PRINT;
VAR t f;
RUN; 

/*
PROC GPLOT DATA=sim5;
PLOT f*t=3/HREF=0 VREF=0  vaxis=-10 to 10 by 1 haxis=-10 to 20 by 2;
RUN;
*/

DATA sin0;
k=-3;
DO ts=-314 TO 0;
t=ts/100;
s1=-((4*k)/3.14)*sin(t);
s2=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t));
s3=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t));
s4=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t));
s5=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t)+(1/9)*sin(9*t));
f1=(s1+s2+s3+s4+s5)/5;
OUTPUT sin0;
END;
RUN;

DATA sin1;
k=3;
DO ts=0 TO 314;
t=ts/100;
s1=((4*k)/3.14)*sin(t);
s2=((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t));
s3=((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t));
s4=((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t));
s5=((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t)+(1/9)*sin(9*t));
f1=(s1+s2+s3+s4+s5)/5;
OUTPUT sin1;
END;
RUN;

DATA sin2;
k=-3;
DO ts=0 TO 314;
t=ts/100;
s1=-((4*k)/3.14)*sin(t);
s2=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t));
s3=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t));
s4=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t));
s5=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t)+(1/9)*sin(9*t));
f1=(s1+s2+s3+s4+s5)/5;
OUTPUT sin2;
END;
RUN;

DATA sin3;
k=3;
DO ts=314 TO 2*314;
t=ts/100;
s1=((4*k)/3.14)*sin(t);
s2=((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t));
s3=((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t));
s4=((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t));
s5=((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t)+(1/9)*sin(9*t));
f1=(s1+s2+s3+s4+s5)/5;
OUTPUT sin3;
END;
RUN;

DATA sin4;
k=-3;
DO ts=2*314 TO 3*314;
t=ts/100;
s1=-((4*k)/3.14)*sin(t);
s2=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t));
s3=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t));
s4=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t));
s5=-((4*k)/3.14)*(sin(t)+(1/3)*sin(3*t)+(1/5)*sin(5*t)+(1/7)*sin(7*t)+(1/9)*sin(9*t));
f1=(s1+s2+s3+s4+s5)/5;
OUTPUT sin4;
END;
RUN;

DATA sin5;
SET sin0 sin1 sin2 sin3 sin4; BY t;
RUN;

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black; 
SYMBOL3 v=none cv=black i=join ci=black; 
SYMBOL4 v=none cv=black i=line ci=black; 
SYMBOL5 v=none cv=black i=spline ci=black; 

DATA both;
SET sim5 sin5; by t;
RUN;

PROC PRINT;
VAR t f f1;
RUN; 

/*
PROC GPLOT DATA=both;
PLOT f*t=3/OVERLAY HREF=0 VREF=0  vaxis=-10 to 10 by 1 haxis=-10 to 20 by 2;
RUN;
*/

PROC GPLOT DATA=both;
PLOT f*t=3 f1*t=3/OVERLAY HREF=0 VREF=0  vaxis=-10 to 10 by 1 haxis=-10 to 20 by 2;
RUN;

/* HREF=0 VREF=-3 VREF=3 */