DATA INCOMEDATA;
INFILE 'G:\FSAScodedata_2010\INCOMES000.dat'; /* INCOMES00 for 4 target values */ 
INPUT x1 x2 x3 x4 x5 x6 x7 x8 @@;             /* add x7 x8 */
t=_N_;

/* proc means; var x1 x2 x3 x4 x5 x6 x7 x8; run; */

x1=(x1-1684.61)/(3847.09-1684.61);  /* normalization of data */  
x2=(x2-1757.21)/(3786.52-1757.21);
x3=(x3-1842.64)/(3790.93-1842.64);
x4=(x4-2027.32)/(4327.61-2027.32);
x5=(x5-1859.06)/(3887.86-1859.06);
x6=(x6-1832.64)/(3839.15-1832.64);
x7=(x7-1893.64)/(3859.02-1893.54);
x8=(x8-2098.92)/(4294.21-2098.92);

/* x1=log(x1); x2=log(x2); x3=log(x3); x4=log(x4); x5=log(x5) x6=log(x6); not nece */

y5=x5; y6=x6; y7=x7; y8=x8;    /* 4 target values */

/* IF t>=108 THEN DELETE; */ 

/* proc print; var x1 x2 x3 x4 x5 x6; run; */

k=1;
eta=15.19; /* 4.19 0.05 1.0 eta=1.19; eta=1.2; */
/* UNIFORM RANDOM NUMBERS for weights and biases */
IF UNIFORM(1+k)<=0.5 THEN w1_11=-UNIFORM(1+k)/10; ELSE w1_11=UNIFORM(1+k)/10;
IF UNIFORM(2+k)<=0.5 THEN w1_21=-UNIFORM(2+k)/10; ELSE w1_21=UNIFORM(2+k)/10;
IF UNIFORM(3+k)<=0.5 THEN w1_12=-UNIFORM(3+k)/10; ELSE w1_12=UNIFORM(3+k)/10;
IF UNIFORM(4+k)<=0.5 THEN w1_22=-UNIFORM(4+k)/10; ELSE w1_22=UNIFORM(4+k)/10;
IF UNIFORM(5+k)<=0.5 THEN w1_13=-UNIFORM(5+k)/10; ELSE w1_13=UNIFORM(5+k)/10;
IF UNIFORM(6+k)<=0.5 THEN w1_23=-UNIFORM(6+k)/10; ELSE w1_23=UNIFORM(6+k)/10;
IF UNIFORM(7+k)<=0.5 THEN w1_14=-UNIFORM(7+k)/10; ELSE w1_14=UNIFORM(7+k)/10;
IF UNIFORM(8+k)<=0.5 THEN w1_24=-UNIFORM(8+k)/10; ELSE w1_24=UNIFORM(8+k)/10;

/* FIRST LINEAR TRANSFORMATION */
z1=w1_11*x1+w1_21*x4;  z2=w1_12*x1+w1_22*x4; 

/* FIRST ACTIVITY FUNCTION */
IF UNIFORM(9+k)<=0.5 THEN b1=-UNIFORM(9+k)/10; ELSE b1=UNIFORM(9+k)/10;
IF UNIFORM(10+k)<=0.5 THEN b2=-UNIFORM(10+k)/10; ELSE b2=UNIFORM(10+k)/10;
IF UNIFORM(11+k)<=0.5 THEN b3=-UNIFORM(11+k)/10; ELSE b3=UNIFORM(11+k)/10;
IF UNIFORM(12+k)<=0.5 THEN b4=-UNIFORM(12+k)/10; ELSE b4=UNIFORM(12+k)/10;
IF UNIFORM(13+k)<=0.5 THEN b5=-UNIFORM(13+k)/10; ELSE b5=UNIFORM(13+k)/10; 
IF UNIFORM(14+k)<=0.5 THEN b6=-UNIFORM(14+k)/10; ELSE b6=UNIFORM(14+k)/10;
IF UNIFORM(15+k)<=0.5 THEN b7=-UNIFORM(15+k)/10; ELSE b7=UNIFORM(15+k)/10; 
IF UNIFORM(16+k)<=0.5 THEN b8=-UNIFORM(16+k)/10; ELSE b8=UNIFORM(16+k)/10;

/* SECOND LINEAR TRANSFORMATION */ 
IF UNIFORM(17+k)<=0.5 THEN w2_11=-UNIFORM(17+k)/10; ELSE w2_11=UNIFORM(17+k)/10;
IF UNIFORM(18+k)<=0.5 THEN w2_21=-UNIFORM(18+k)/10; ELSE w2_21=UNIFORM(18+k)/10;
IF UNIFORM(19+k)<=0.5 THEN w2_31=-UNIFORM(19+k)/10; ELSE w2_31=UNIFORM(19+k)/10;
IF UNIFORM(20+k)<=0.5 THEN w2_41=-UNIFORM(20+k)/10; ELSE w2_41=UNIFORM(20+k)/10;

IF UNIFORM(21+k)<=0.5 THEN w2_12=-UNIFORM(21+k)/10; ELSE w2_12=UNIFORM(21+k)/10;
IF UNIFORM(22+k)<=0.5 THEN w2_22=-UNIFORM(22+k)/10; ELSE w2_22=UNIFORM(22+k)/10;
IF UNIFORM(23+k)<=0.5 THEN w2_32=-UNIFORM(23+k)/10; ELSE w2_32=UNIFORM(23+k)/10;
IF UNIFORM(24+k)<=0.5 THEN w2_42=-UNIFORM(24+k)/10; ELSE w2_42=UNIFORM(24+k)/10;

IF UNIFORM(25+k)<=0.5 THEN w2_13=-UNIFORM(25+k)/10; ELSE w2_13=UNIFORM(25+k)/10;
IF UNIFORM(26+k)<=0.5 THEN w2_23=-UNIFORM(26+k)/10; ELSE w2_23=UNIFORM(26+k)/10;
IF UNIFORM(27+k)<=0.5 THEN w2_14=-UNIFORM(27+k)/10; ELSE w2_14=UNIFORM(27+k)/10;
IF UNIFORM(28+k)<=0.5 THEN w2_24=-UNIFORM(28+k)/10; ELSE w2_24=UNIFORM(28+k)/10;

s1=1/(1+exp(-(z1+b1))); s2=1/(1+exp(-(z2+b2)));
 
z5=w2_11*s1+w2_21*s2;
z6=w2_12*s1+w2_22*s2;
z7=w2_13*s1+w2_23*s2;
z8=w2_14*s1+w2_24*s2;

s5=1/(1+exp(-(z5+b5))); 
s6=1/(1+exp(-(z6+b6)));
s7=1/(1+exp(-(z7+b7))); 
s8=1/(1+exp(-(z8+b8)));

y5_hat=s5; 
y6_hat=s6;        /* These are random estimators. p3 */
y7_hat=s7; 
y8_hat=s8;           

/* proc print; var y5_hat y6_hat y7_hat y8_hat;
run; */

/* 1. BACKPROPAGATION step 1(right hand size) */ 
/* for 1st BACKPROPAGATION */
pLpw2_11=-1*(y5-y5_hat)*s5*(1-s5)*s1;
pLpw2_21=-1*(y5-y5_hat)*s5*(1-s5)*s2;
pLpw2_12=-1*(y6-y6_hat)*s6*(1-s6)*s1;
pLpw2_22=-1*(y6-y6_hat)*s6*(1-s6)*s2;
pLpw2_13=-1*(y7-y7_hat)*s7*(1-s7)*s1;
pLpw2_23=-1*(y7-y7_hat)*s7*(1-s7)*s2;
pLpw2_14=-1*(y8-y8_hat)*s8*(1-s8)*s1;
pLpw2_24=-1*(y8-y8_hat)*s8*(1-s8)*s2;

pLpb5=-1*(y5-y5_hat)*(s5*(1-s5))*1;
pLpb6=-1*(y6-y6_hat)*(s6*(1-s6))*1;
pLpb7=-1*(y7-y7_hat)*(s7*(1-s7))*1;
pLpb8=-1*(y8-y8_hat)*(s8*(1-s8))*1;  

/* new wights w2_11 etc */
w2_11=w2_11-eta*pLpw2_11; w2_21=w2_21-eta*pLpw2_21; 
w2_12=w2_12-eta*pLpw2_12; w2_22=w2_22-eta*pLpw2_22;
w2_13=w2_13-eta*pLpw2_13; w2_23=w2_23-eta*pLpw2_23; 
w2_14=w2_14-eta*pLpw2_14; w2_24=w2_24-eta*pLpw2_24;

b5=b5-eta*pLpb5; 
b6=b6-eta*pLpb6; 
b7=b7-eta*pLpb7; 
b8=b8-eta*pLpb8; 

y5_hat=s5; 
y6_hat=s6;        /* These are the 1st estimators. p4 */
y7_hat=s7; 
y8_hat=s8; 

/*        
PROC PRINT; VAR t y5 y6 y7 y8 y5_hat y6_hat y7_hat y8_hat; 
RUN; 
PROC MEANS; VAR y5_hat y6_hat y7_hat y8_hat;
RUN; */
/*
proc print; var y5 y5_hat y6 y6_hat;
run; */
/* proc print; var pLpw2_11 pLpb5 w2_11 w2_12 b5 b6 s5 s6 y5_hat y6_hat;
run; */

/* 2. BACKPROPAGATION step 2(left hand size) */
pLpw1_11=-1*(y5-y5_hat)*(w2_11*s5*(1-s5))*(x1*s5*(1-s5)); 
pLpw1_21=-1*(y6-y6_hat)*(w2_21*s6*(1-s6))*(x4*s6*(1-s6));   
pLpw1_12=-1*(y7-y7_hat)*(w2_12*s7*(1-s7))*(x1*s7*(1-s7)); 
pLpw1_22=-1*(y8-y8_hat)*(w2_22*s8*(1-s8))*(x4*s8*(1-s8));

pLpb1=-1*(y5-y5_hat)*s5*(1-s5)*w2_11*s1*(1-s1)     
      -1*(y6-y6_hat)*s6*(1-s6)*w2_12*s1*(1-s1)  
      -1*(y7-y7_hat)*s7*(1-s7)*w2_13*s1*(1-s1)   
      -1*(y8-y8_hat)*s8*(1-s8)*w2_14*s1*(1-s1);

pLpb2=-1*(y5-y5_hat)*s5*(1-s5)*w2_21*s2*(1-s2)     
      -1*(y6-y6_hat)*s6*(1-s6)*w2_22*s2*(1-s2)  
      -1*(y7-y7_hat)*s7*(1-s7)*w2_23*s2*(1-s2)   
      -1*(y8-y8_hat)*s8*(1-s8)*w2_24*s2*(1-s2);

/* SECOND STEP for UPDATED WEIGHTS */
w1_11=w1_11-eta*pLpw1_11;       
w1_21=w1_21-eta*pLpw1_21;     
w1_12=w1_12-eta*pLpw1_12; 
w1_22=w1_22-eta*pLpw1_22;

/* UPDATE biases for BACKPROPAGATION step 2 */ 
                
b1=b1-eta*pLpb1;                                     
b2=b2-eta*pLpb2; 

/* new values of z1, z2 */
z1=w1_11*x1+w1_21*x4; 
z2=w1_12*x1+w1_22*x4;  
 
s1=1/(1+exp(-(z1+b1))); 
s2=1/(1+exp(-(z2+b2)));
          
z5=w2_11*s1+w2_21*s2; 
z6=w2_12*s1+w2_22*s2;  
z7=w2_13*s1+w2_23*s2; 
z8=w2_14*s1+w2_24*s2; 

s5=1/(1+exp(-(z5+b5))); 
s6=1/(1+exp(-(z6+b6))); 
s7=1/(1+exp(-(z7+b7))); 
s8=1/(1+exp(-(z8+b8)));

y5_hat=s5; y6_hat=s6; 
y7_hat=s7; y8_hat=s8; /* These are the 2nd estimators. p4 */

Ry5=y5*(3887.86-1859.06)+1859.06;
Ry6=y6*(3839.15-1832.64)+1832.64;
Ry7=y7*(3859.02-1893.54)+1893.54;
Ry8=y8*(4294.21-2098.92)+2098.92;
 
Ry5_hat=y5_hat*(3887.86-1859.06)+1859.06;
Ry6_hat=y6_hat*(3839.15-1832.64)+1832.64;
Ry7_hat=y7_hat*(3859.02-1893.54)+1893.54;
Ry8_hat=y8_hat*(4294.21-2098.92)+2098.92; /* p5 */
               x=1; 
               DO WHILE(x<=1);      /* Need to change MASE5=MAE5/0.0305366; */
    
/* 1. BACKPROPAGATION step 1(right hand size) */ /* no more random numbers */
/* for 1st BACKPROPAGATION */
pLpw2_11=-1*(y5-y5_hat)*s5*(1-s5)*s1;
pLpw2_21=-1*(y5-y5_hat)*s5*(1-s5)*s2;
pLpw2_12=-1*(y6-y6_hat)*s6*(1-s6)*s1;
pLpw2_22=-1*(y6-y6_hat)*s6*(1-s6)*s2;
pLpw2_13=-1*(y7-y7_hat)*s7*(1-s7)*s1;
pLpw2_23=-1*(y7-y7_hat)*s7*(1-s7)*s2;
pLpw2_14=-1*(y8-y8_hat)*s8*(1-s8)*s1;
pLpw2_24=-1*(y8-y8_hat)*s8*(1-s8)*s2;

pLpb5=-1*(y5-y5_hat)*(s5*(1-s5))*1;
pLpb6=-1*(y6-y6_hat)*(s6*(1-s6))*1;
pLpb7=-1*(y7-y7_hat)*(s7*(1-s7))*1;
pLpb8=-1*(y8-y8_hat)*(s8*(1-s8))*1;  

/* new wights w2_11 etc */
w2_11=w2_11-eta*pLpw2_11; w2_21=w2_21-eta*pLpw2_21; 
w2_12=w2_12-eta*pLpw2_12; w2_22=w2_22-eta*pLpw2_22;
w2_13=w2_13-eta*pLpw2_13; w2_23=w2_23-eta*pLpw2_23; 
w2_14=w2_14-eta*pLpw2_14; w2_24=w2_24-eta*pLpw2_24;

b5=b5-eta*pLpb5; 
b6=b6-eta*pLpb6; 
b7=b7-eta*pLpb7; 
b8=b8-eta*pLpb8;  

/* 2. BACKPROPAGATION step 2(left hand size) */
pLpw1_11=-1*(y5-y5_hat)*(w2_11*s5*(1-s5))*(x1*s5*(1-s5)); 
pLpw1_21=-1*(y6-y6_hat)*(w2_21*s6*(1-s6))*(x4*s6*(1-s6));   
pLpw1_12=-1*(y7-y7_hat)*(w2_12*s7*(1-s7))*(x1*s7*(1-s7)); 
pLpw1_22=-1*(y8-y8_hat)*(w2_22*s8*(1-s8))*(x4*s8*(1-s8));

pLpb1=-1*(y5-y5_hat)*s5*(1-s5)*w2_11*s1*(1-s1)     
      -1*(y6-y6_hat)*s6*(1-s6)*w2_12*s1*(1-s1)  
      -1*(y7-y7_hat)*s7*(1-s7)*w2_13*s1*(1-s1)   
      -1*(y8-y8_hat)*s8*(1-s8)*w2_14*s1*(1-s1);

pLpb2=-1*(y5-y5_hat)*s5*(1-s5)*w2_21*s2*(1-s2)     
      -1*(y6-y6_hat)*s6*(1-s6)*w2_22*s2*(1-s2)  
      -1*(y7-y7_hat)*s7*(1-s7)*w2_23*s2*(1-s2)   
      -1*(y8-y8_hat)*s8*(1-s8)*w2_24*s2*(1-s2);

/* SECOND STEP for UPDATED WEIGHTS */
w1_11=w1_11-eta*pLpw1_11;       
w1_21=w1_21-eta*pLpw1_21;     
w1_12=w1_12-eta*pLpw1_12; 
w1_22=w1_22-eta*pLpw1_22;

/* UPDATE biases for BACKPROPAGATION step 2 */ 
b1=b1-eta*pLpb1;                                                                
b2=b2-eta*pLpb2; 

/* new values of z1, z2 */
z1=w1_11*x1+w1_21*x4; 
z2=w1_12*x1+w1_22*x4;  
 
s1=1/(1+exp(-(z1+b1))); 
s2=1/(1+exp(-(z2+b2)));
          
z5=w2_11*s1+w2_21*s2; 
z6=w2_12*s1+w2_22*s2;  
z7=w2_13*s1+w2_23*s2; 
z8=w2_14*s1+w2_24*s2; 

s5=1/(1+exp(-(z5+b5))); 
s6=1/(1+exp(-(z6+b6))); 
s7=1/(1+exp(-(z7+b7))); 
s8=1/(1+exp(-(z8+b8)));

y5_hat=s5; y6_hat=s6; 
y7_hat=s7; y8_hat=s8;    /* These are the 2nd estimators. */

/* 1. BACKPROPAGATION step 1(right hand size) */ 
pLpw2_11=-1*(y5-y5_hat)*s5*(1-s5)*s1;
pLpw2_21=-1*(y5-y5_hat)*s5*(1-s5)*s2;
pLpw2_12=-1*(y6-y6_hat)*s6*(1-s6)*s1;
pLpw2_22=-1*(y6-y6_hat)*s6*(1-s6)*s2;
pLpw2_13=-1*(y7-y7_hat)*s7*(1-s7)*s1;
pLpw2_23=-1*(y7-y7_hat)*s7*(1-s7)*s2;
pLpw2_14=-1*(y8-y8_hat)*s8*(1-s8)*s1;
pLpw2_24=-1*(y8-y8_hat)*s8*(1-s8)*s2;

pLpb5=-1*(y5-y5_hat)*(s5*(1-s5))*1;
pLpb6=-1*(y6-y6_hat)*(s6*(1-s6))*1;
pLpb7=-1*(y7-y7_hat)*(s7*(1-s7))*1;
pLpb8=-1*(y8-y8_hat)*(s8*(1-s8))*1;

/* new wights w2_11 etc p13 */
w2_11=w2_11-eta*pLpw2_11; w2_21=w2_21-eta*pLpw2_21; 
w2_12=w2_12-eta*pLpw2_12; w2_22=w2_22-eta*pLpw2_22;
w2_13=w2_13-eta*pLpw2_13; w2_23=w2_23-eta*pLpw2_23;
w2_14=w2_14-eta*pLpw2_14; w2_24=w2_24-eta*pLpw2_24;

b5=b5-eta*pLpb5; 
b6=b6-eta*pLpb6; 
b7=b7-eta*pLpb7; 
b8=b8-eta*pLpb8; 

/* 2. BACKPROPAGATION step 2(left hand size) */
pLpw1_11=-1*(y5-y5_hat)*(s5*(1-s5)*w2_11)*(x1*s1*(1-s1))
         -1*(y6-y6_hat)*(s6*(1-s6)*w2_12)*(x1*s1*(1-s1))
         -1*(y7-y7_hat)*(s7*(1-s7)*w2_13)*(x1*s1*(1-s1))
         -1*(y8-y8_hat)*(s8*(1-s8)*w2_14)*(x1*s1*(1-s1)); 

pLpw1_21=-1*(y5-y5_hat)*(s5*(1-s5)*w2_11)*(x4*s1*(1-s1))   
         -1*(y6-y6_hat)*(s6*(1-s6)*w2_12)*(x4*s1*(1-s1)) 
		 -1*(y7-y7_hat)*(s7*(1-s7)*w2_13)*(x4*s1*(1-s1)) 
		 -1*(y8-y8_hat)*(s8*(1-s8)*w2_14)*(x4*s1*(1-s1));
 
pLpw1_12=-1*(y5-y5_hat)*(s5*(1-s5)*w2_21)*(x1*s2*(1-s2)) /* check ok */ 
         -1*(y6-y6_hat)*(s6*(1-s6)*w2_22)*(x1*s2*(1-s2)) 
		 -1*(y7-y7_hat)*(s7*(1-s7)*w2_23)*(x1*s2*(1-s2)) 
		 -1*(y8-y8_hat)*(s8*(1-s8)*w2_24)*(x1*s2*(1-s2)); 

pLpw1_22=-1*(y6-y8_hat)*(s5*(1-s5)*w2_21)*(x4*s2*(1-s2))
         -1*(y6-y8_hat)*(s6*(1-s6)*w2_22)*(x4*s2*(1-s2))
		 -1*(y6-y8_hat)*(s7*(1-s7)*w2_23)*(x4*s2*(1-s2))
		 -1*(y6-y8_hat)*(s8*(1-s8)*w2_24)*(x4*s2*(1-s2));

w1_11=w1_11-eta*pLpw1_11;      
w1_21=w1_21-eta*pLpw1_21;     
w1_12=w1_12-eta*pLpw1_12; 
w1_22=w1_22-eta*pLpw1_22;

z1=w1_11*x1+w1_21*x4; z2=w1_12*x1+w1_22*x4;  
z3=w1_13*x1+w1_23*x4; z4=w1_14*x1+w1_24*x4; 

s1=1/(1+exp(-(z1+b3))); 
s2=1/(1+exp(-(z2+b4))); 

z5=w2_11*s1+w2_21*s2; z6=w2_12*s1+w2_22*s2;
z7=w2_13*s1+w2_23*s2; z8=w2_14*s1+w2_24*s2;

s5=1/(1+exp(-(z5+b5))); s6=1/(1+exp(-(z6+b6)));
s7=1/(1+exp(-(z7+b7))); s8=1/(1+exp(-(z8+b8)));

y5_hat=s5; 
y6_hat=s6;  
y7_hat=s7;  
y8_hat=s8; 

Ry5=y5*(3887.86-1859.06)+1859.06;
Ry6=y6*(3839.15-1832.64)+1832.64;
Ry7=y7*(3859.02-1893.54)+1893.54;
Ry8=y8*(4294.21-2098.92)+2098.92;
 
Ry5_hat=y5_hat*(3887.86-1859.06)+1859.06;
Ry6_hat=y6_hat*(3839.15-1832.64)+1832.64;
Ry7_hat=y7_hat*(3859.02-1893.54)+1893.54;
Ry8_hat=y8_hat*(4294.21-2098.92)+2098.92; 

/* MSE=(y-y_hat)**2; */                      
MSE5=(y5-y5_hat)**2;                     
MSE6=(y6-y6_hat)**2;
MSE7=(y7-y7_hat)**2;                     
MSE8=(y8-y8_hat)**2;

/* MAE=ABS(y-y_hat); */
MAE5=ABS(y5-y5_hat);
MAE6=ABS(y6-y6_hat);
MAE7=ABS(y7-y7_hat);
MAE8=ABS(y8-y8_hat);

    MASE_aa5=ABS(y5-lag4(y5));
    MASE_aa6=ABS(y6-lag4(y6));
    MASE_aa7=ABS(y7-lag4(y7));
    MASE_aa8=ABS(y8-lag4(y8));

/* x<=1 
MASE5=MAE5/0.000083177; 
MASE6=MAE6/0.000081276; 
MASE7=MAE5/0.000081935; 
MASE8=MAE6/0.000076707; */

/* x<=10 
MASE5=MAE5/0.0041742; 
MASE6=MAE6/0.0040788; 
MASE7=MAE5/0.0041118; 
MASE8=MAE6/0.0038495; */

/* x<=100 
MASE5=MAE5/0.000416012;  
MASE6=MAE6/0.000406503; 
MASE7=MAE5/0.000409796; 
MASE8=MAE6/0.000383651; */

/* x<=1000 */
MASE5=MAE5/0.000041587;  
MASE6=MAE6/0.000040637; 
MASE7=MAE7/0.000040966; 
MASE8=MAE8/0.000038352; 

/* MASE5=MAE5/0.000029905; x=1: 0.0305366; x=500; 0.00008317 x=1000: 0.000041587 */
/* MASE6=MAE6/0.000027375; x=1: 0.0275065; x=500; 0.00008127 x=1000: 0.000040637 */
/* MASE7=MAE7/0.000028539; x=1: 0.0276428; x=500; 0.00008193 x=1000: 0.000040966 */
/* MASE8=MAE8/0.000028267; x=1: 0.0293640; x=500; 0.00007670 x=1000: 0.000038352 */


/* RMSE=SQRT(MSE); */
RMSE5=SQRT(MSE5);
RMSE6=SQRT(MSE6);
RMSE7=SQRT(MSE7);
RMSE8=SQRT(MSE8);

/* IF y5=0 THEN y5=0.001; IF y6=0 THEN y6=0.001; */

MAPE5=ABS((y5-y5_hat)/y5)*100;
MAPE6=ABS((y6-y6_hat)/y6)*100; 
MAPE7=ABS((y7-y7_hat)/y7)*100;
MAPE8=ABS((y8-y8_hat)/y8)*100; 

             OUTPUT;
             x+1;
             END; 
             RUN;  

PROC MEANS;	VAR MASE_aa5 MASE_aa6 MASE_aa7 MASE_aa8;
RUN; 

PROC MEANS; VAR MSE5 MSE6 MSE7 MSE8;
RUN;

PROC MEANS; VAR MASE5 MASE6 MASE7 MASE8;
RUN;

PROC MEANS; VAR MAE5 MAE6 MAE7 MAE8;
RUN;

PROC MEANS; VAR MAPE5 MAPE6 MAPE7 MAPE8;
RUN;

PROC MEANS; VAR MAPE5 MAPE6 MAPE7 MAPE8;
RUN;

DATA NEW1;
SET INCOMEDATA; 

/* x1=exp(x1); x2=exp(x2); x3=exp(x3); x4=exp(x4); */
 
Rx1=x1*(4191.43-1684.61)+1684.61;
Rx5=x5*(4191.43-1684.61)+1684.61;

Ry5=y5*(4191.43-1684.61)+1684.61;
Ry6=y6*(4191.43-1684.61)+1684.61;
Ry7=y7*(4191.43-1684.61)+1684.61;
Ry8=y8*(4191.43-1684.61)+1684.61; 

Ry5_hat=y5_hat*(4191.43-1684.61)+1684.61;
Ry6_hat=y6_hat*(4191.43-1684.61)+1684.61; 
Ry7_hat=y7_hat*(4191.43-1684.61)+1684.61;
Ry8_hat=y8_hat*(4191.43-1684.61)+1684.61; 

IF x<=999 THEN DELETE; 

/* PROC PRINT; VAR t x y5 y6 y7 y8 y5_hat y6_hat y7_hat y8_hat;
RUN; 
PROC PRINT; VAR t x Ry5 Ry6 Ry7 Ry8 Ry5_hat Ry6_hat Ry7_hat Ry8_hat;
RUN;*/

SYMBOL1 v=dot cv=black l=1 i=line color=red;
SYMBOL2 v=circle cv=black i=line ci=black; 
SYMBOL3 v=star cv=black i=line ci=black; 
SYMBOL4 v=point cv=black i=line ci=black; 
SYMBOL5 v=none cv=black i=line ci=black; 
SYMBOL6 v=none cv=black i=spline ci=black;

/*
PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y5*t=1 y5_hat*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y6*t=1 y6_hat*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y7*t=1 y7_hat*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y8*t=1 y8_hat*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y5*t=1 y6*t=2 y7*t=1 y8*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;
*/

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y5*t=1 y5_hat*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y6*t=1 y6_hat*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y7*t=1 y7_hat*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y8*t=1 y8_hat*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;

PROC GPLOT DATA=INCOMEDATA;   
PLOT x1*t=3 y5*t=1 y6*t=2 y7*t=1 y8*t=2 /OVERLAY legend GRID FRAME HREF=97.5;
RUN;


DATA NEW2;
SET INCOMEDATA NEW1; 
INPUT y5 y6 y7 y8 y5_hat y6_hat y7_hat y8_hat; 

Rx1=x1*(4191.43-1684.61)+1684.61;
Rx5=x5*(4191.43-1684.61)+1684.61;

Ry5=y5*(4191.43-1684.61)+1684.61;
Ry6=y6*(4191.43-1684.61)+1684.61;
Ry7=y7*(4191.43-1684.61)+1684.61;
Ry8=y8*(4191.43-1684.61)+1684.61; 

Ry5_hat=y5_hat*(4191.43-1684.61)+1684.61;
Ry6_hat=y6_hat*(4191.43-1684.61)+1684.61; 
Ry7_hat=y7_hat*(4191.43-1684.61)+1684.61;
Ry8_hat=y8_hat*(4191.43-1684.61)+1684.61; 

MSE5=(Ry5-Ry5_hat)**2;                       
MSE6=(Ry6-Ry6_hat)**2;  
MSE7=(Ry7-Ry7_hat)**2;  
MSE8=(Ry8-Ry8_hat)**2;  

MAE5=ABS(Ry5-Ry5_hat);
MAE6=ABS(Ry6-Ry6_hat);
MAE7=ABS(Ry7-Ry7_hat);
MAE8=ABS(Ry8-Ry8_hat);

MAPE5=(ABS(Ry5-Ry5_hat)/Ry5)*100;
MAPE6=(ABS(Ry6-Ry6_hat)/Ry6)*100;
MAPE7=(ABS(Ry7-Ry7_hat)/Ry7)*100;
MAPE8=(ABS(Ry8-Ry8_hat)/Ry8)*100;

CARDS;
1.000 0.92883 0.90121 0.97412 
0.99633 0.92836 0.90097 0.96977
;

proc print; VAR Ry5 Ry6 Ry7 Ry8 Ry5_hat Ry6_hat Ry7_hat Ry8_hat;
RUN; 

DATA NEW3;
SET INCOMEDATA NEW1 NEW2; 
INPUT x1 x1_hat; 
MSE=(x1-x1_hat)**2;                       
MAE=ABS(x1-x1_hat);
MAPE=(ABS(x1-x1_hat)/x1)*100;

CARDS;
4191.43 4182.23 
4013.02 4011.84 
3943.78 3943.18 
4126.55 4115.65 
;

PROC MEANS; VAR MSE MAE MAPE;
RUN;












/*
x1=(x1-1684.61)/(4431.02-1684.61);    
x2=(x2-1757.21)/(4653.94-1757.21);
x3=(x3-1832.64)/(4653.94-1832.64);
x4=(x4-1832.64)/(4653.94-1832.64);
x5=(x5-1832.64)/(4653.94-1832.64);
x6=(x6-1832.64)/(4811.14-1832.64);
x7=(x7-1832.64)/(4653.94-1832.64);
x8=(x8-1832.64)/(4811.14-1832.64);

Ry5=y5*(4811.14-1681.61)+1681.61;
Ry6=y6*(4811.14-1681.61)+1681.61;
Ry7=y7*(4811.14-1681.61)+1681.61;
Ry8=y8*(4811.14-1681.61)+1681.61; 
 
Ry5_hat=y5_hat*(4811.14-1681.61)+1681.61;
Ry6_hat=y6_hat*(4811.14-1681.61)+1681.61;
Ry7_hat=y7_hat*(4811.14-1681.61)+1681.61;
Ry8_hat=y8_hat*(4811.14-1681.61)+1681.61;  
                                          */  

