DATA INCOMES2; 
INPUT Lag SACF SE @@;
twoSE=1.96*SE;
ntwoSE=(-1)* twoSE;

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;
LINES; 
                    0          1.00000              0                      
                    1          0.91848       0.094491                      
                    2          0.88646       0.154897                      
                    3          0.86614       0.195001                      
                    4          0.89229       0.226764                      
                    5          0.81680       0.256201                      
                    6          0.78478       0.278483                      
                    7          0.76269       0.297575                      
                    8          0.78758       0.314544                      
                    9          0.71297       0.331684                      
                   10          0.68255       0.345097                      
                   11          0.66217       0.356947                      
                   12          0.68800       0.367751                      
                   13          0.61564       0.379069                      
                   14          0.58527       0.387894                      
                   15          0.56462       0.395700                      
                   16          0.58823       0.402829                      
                   17          0.51954       0.410427                      
                   18          0.49150       0.416257                      
                   19          0.47031       0.421407                      
                   20          0.49550       0.426068                      
                   21          0.43117       0.431182                      
                   22          0.40541       0.435015                      
                   23          0.38580       0.438375                      
                   24          0.40960       0.441396                      
                   25          0.34570       0.444777                      
                   26          0.31572       0.447170                      
                   27          0.29351       0.449156                      
                   28          0.31244       0.450865                      
                   29          0.24795       0.452794                      
                   30          0.21477       0.454005                      
                   31          0.18715       0.454911                      
                   32          0.20335       0.455598                      
                   33          0.14035       0.456407                      
                   34          0.10686       0.456792                      
                   35          0.07964       0.457016                      
                   36          0.09804       0.457140                      
                   37          0.04068       0.457327                      
                   38          0.01042       0.457360                      
                   39          -.01136       0.457362                      
                   40          0.00894       0.457364                      
                   41          -.04385       0.457366                      
                   42          -.07055       0.457403                      
                   43          -.08918       0.457500                      
                   44          -.06518       0.457656                      
                   45          -.11266       0.457738                      
                   46          -.13752       0.457986                      
                   47          -.15502       0.458354                      
                   48          -.13100       0.458822                      
                   49          -.17294       0.459156                      
                   50          -.19376       0.459737                      
;
PROC PRINT DATA=INCOMES2;
RUN;
 
PROC GPLOT DATA=INCOMES2;
PLOT SACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4 /VREF=0 /* HREF=0 */
OVERLAY grid frame vaxis=-1.0 to 1.0 by 0.2 haxis=0 to 50 by 2;
RUN;

DATA INCOME3; 
INPUT Lag PSACF SE @@;
twoSE=1.96*SE;
ntwoSE=(-1)* twoSE;
SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;
LINES;  
                                  1        0.91848     0.18520             
                                  2        0.27402     0.18520             
                                  3        0.16149     0.18520             
                                  4        0.40672     0.18520             
                                  5       -0.49185     0.18520             
                                  6        0.05101     0.18520             
                                  7        0.07189     0.18520             
                                  8        0.16069     0.18520             
                                  9       -0.28757     0.18520             
                                 10        0.05434     0.18520             
                                 11        0.06116     0.18520             
                                 12        0.08871     0.18520             
                                 13       -0.19847     0.18520             
                                 14        0.01644     0.18520             
                                 15        0.03591     0.18520             
                                 16        0.02954     0.18520             
                                 17       -0.09686     0.18520             
                                 18        0.01640     0.18520             
                                 19       -0.00474     0.18520             
                                 20        0.05089     0.18520             
                                 21       -0.06376     0.18520             
                                 22        0.00127     0.18520             
                                 23       -0.00125     0.18520             
                                 24       -0.00044     0.18520             
                                 25       -0.07039     0.18520             
                                 26       -0.05648     0.18520             
                                 27        0.01083     0.18520             
                                 28       -0.03174     0.18520             
                                 29       -0.04611     0.18520             
                                 30       -0.05728     0.18520             
                                 31       -0.03293     0.18520             
                                 32        0.00233     0.18520             
                                 33       -0.02602     0.18520             
                                 34       -0.03970     0.18520             
                                 35       -0.01642     0.18520             
                                 36        0.03137     0.18520             
                                 37       -0.00916     0.18520             
                                 38       -0.02894     0.18520             
                                 39        0.02654     0.18520             
                                 40       -0.01590     0.18520             
                                 41       -0.01712     0.18520             
                                 42       -0.00832     0.18520             
                                 43        0.01541     0.18520             
                                 44        0.00400     0.18520             
                                 45       -0.02555     0.18520             
                                 46       -0.02245     0.18520             
                                 47       -0.01154     0.18520             
                                 48       -0.01044     0.18520             
                                 49        0.01706     0.18520             
                                 50       -0.00260     0.18520             
                                 51       -0.03240     0.18520             
                                 52       -0.01940     0.18520             
                                 53        0.02063     0.18520             
                                 54       -0.01398     0.18520             
                                 55        0.00270     0.18520             
                                 56       -0.03570     0.18520             
                                 57       -0.01785     0.18520             
                                 58       -0.00435     0.18520             
                                 59       -0.01579     0.18520             
                                 60       -0.04676     0.18520             
;
PROC PRINT DATA=INCOMES3;
RUN;
 
PROC GPLOT DATA=INCOME3;
PLOT PSACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4 /VREF=0 /* HREF=0 */
OVERLAY grid frame vaxis=-1.0 to 1.0 by 0.2 haxis=0 to 60 by 2;
RUN;


DATA INCOMES4; 
INPUT Lag SACF SE @@;
twoSE=1.96*SE;
ntwoSE=(-1)* twoSE;

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;
LINES;                                                                           
                    0        1.00000           0                           
                    1        -.42298    0.094916                           
                    2        -.09690    0.110601                           
                    3        -.43798    0.111363                           
                    4        0.94700    0.125929                           
                    5        -.40712    0.178932                           
                    6        -.08765    0.187091                           
                    7        -.43242    0.187461                           
                    8        0.91213    0.196241                           
                    9        -.38488    0.231304                           
                   10        -.08172    0.237003                           
                   11        -.43254    0.237257                           
                   12        0.87393    0.244258                           
                   13        -.35838    0.270967                           
                   14        -.07809    0.275204                           
                   15        -.42737    0.275404                           
                   16        0.84183    0.281315                           
                   17        -.33457    0.303162                           
                   18        -.07039    0.306470                           
                   19        -.41569    0.306616                           
                   20        0.79672    0.311652                           
                   21        -.30657    0.329491                           
                   22        -.07034    0.332050                           
                   23        -.41501    0.332185                           
                   24        0.75700    0.336823                           
                   25        -.27591    0.351817                           
                   26        -.06204    0.353761                           
                   27        -.41372    0.353859                           
                   28        0.72477    0.358190                           
                   29        -.24910    0.371167                           
                   30        -.06152    0.372670                           
                   31        -.40243    0.372761                           
                   32        0.69516    0.376655                           
                   33        -.23060    0.388042                           
                   34        -.05756    0.389274                           
                   35        -.38314    0.389351                           
                   36        0.65665    0.392733                           
                   37        -.20752    0.402503                           
                   38        -.05760    0.403465                           
                   39        -.37225    0.403540                           
                   40        0.62245    0.406621                           
                   41        -.18818    0.415117                           
                   42        -.05378    0.415884                           
                   43        -.36354    0.415947                           
                   44        0.57881    0.418800                           
                   45        -.16748    0.425946                           
                   46        -.04815    0.426539                           
                   47        -.34486    0.426588                           
                   48        0.53949    0.429092                           
                   49        -.15995    0.435160                           
                   50        -.04491    0.435689                        
;
PROC PRINT DATA=INCOMES4;
RUN;
 
PROC GPLOT DATA=INCOMES4;
PLOT SACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4 /VREF=0 /* HREF=0 */
OVERLAY grid frame vaxis=-1.0 to 1.0 by 0.2 haxis=0 to 50 by 2;
RUN;
PROC PRINT data=INCOMES4;
RUN;


DATA INCOMES5; 
INPUT Lag PSACF SE @@;
twoSE=1.96*SE;
ntwoSE=(-1)* twoSE;
SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;
LINES;  
                                  1       -0.42298   0.18520               
                                  2       -0.33591   0.18520               
                                  3       -0.87148   0.18520               
                                  4        0.69865   0.18520               
                                  5       -0.12897   0.18520               
                                  6       -0.06743   0.18520               
                                  7        0.05035   0.18520               
                                  8        0.07286   0.18520               
                                  9        0.04614   0.18520               
                                 10       -0.01224   0.18520               
                                 11       -0.03432   0.18520               
                                 12       -0.04016   0.18520               
                                 13        0.03250   0.18520               
                                 14       -0.06388   0.18520               
                                 15       -0.00317   0.18520               
                                 16        0.02552   0.18520               
                                 17       -0.02183   0.18520               
                                 18        0.04693   0.18520               
                                 19        0.09605   0.18520               
                                 20       -0.10880   0.18520               
                                 21        0.08562   0.18520               
                                 22       -0.04607   0.18520               
                                 23       -0.15299   0.18520               
                                 24       -0.01707   0.18520               
                                 25       -0.03931   0.18520               
                                 26       -0.01727   0.18520               
                                 27       -0.05227   0.18520               
                                 28        0.04540   0.18520               
                                 29       -0.02402   0.18520               
                                 30       -0.04088   0.18520               
                                 31        0.10494   0.18520               
                                 32        0.01407   0.18520               
                                 33       -0.04197   0.18520               
                                 34        0.03913   0.18520               
                                 35        0.10791   0.18520               
                                 36       -0.05738   0.18520               
                                 37        0.07941   0.18520               
                                 38        0.02028   0.18520               
                                 39       -0.04211   0.18520               
                                 40        0.06969   0.18520               
                                 41       -0.00402   0.18520               
                                 42        0.02656   0.18520               
                                 43        0.01653   0.18520               
                                 44       -0.16530   0.18520               
                                 45       -0.01575   0.18520               
                                 46        0.02165   0.18520               
                                 47       -0.03378   0.18520               
                                 48       -0.01456   0.18520               
                                 49       -0.11129   0.18520               
                                 50       -0.10066   0.18520               
                                 51       -0.00467   0.18520               
                                 52       -0.04553   0.18520               
                                 53       -0.01336   0.18520               
                                 54       -0.01250   0.18520               
                                 55       -0.05362   0.18520               
                                 56       -0.05761   0.18520               
                                 57        0.01678   0.18520               
                                 58        0.03672   0.18520               
                                 59        0.01498   0.18520               
                                 60        0.02129   0.18520               
 ;
PROC PRINT DATA=INCOMES5;
RUN;
 
PROC GPLOT DATA=INCOMES5;
PLOT PSACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4 /VREF=0 /* HREF=0 */
OVERLAY grid frame vaxis=-1.0 to 1.0 by 0.2 haxis=0 to 60 by 2;
RUN;
                                                                          