DATA INCOMES2; 
INPUT Lag SACF SE @@;
twoSE=1.96*SE;
ntwoSE=(-1)* twoSE;

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;
LINES;  
                    0         1.00000                0
                    1         -.14676         0.096674
                    2         -.03828         0.098734
                    3         0.24609         0.098872
                    4         -.37860         0.104440
                    5         0.04846         0.116563
                    6         0.01316         0.116751
                    7         -.01108         0.116765
                    8         -.11437         0.116775
                    9         -.06579         0.117817
                   10         0.11427         0.118160
                   11         -.12414         0.119188
                   12         0.02661         0.120391
                   13         0.05125         0.120445
                   14         -.20036         0.120649
                   15         -.04321         0.123720
                   16         0.11746         0.123861
                   17         -.04403         0.124897
                   18         0.02602         0.125042
                   19         0.18685         0.125093
                   20         -.13773         0.127675
                   21         -.01846         0.129056
                   22         0.10107         0.129081
                   23         -.07517         0.129818
                   24         0.00233         0.130224
                   25         0.00711         0.130225
                   26         0.08328         0.130228
                   27         -.04643         0.130725
                   28         -.02818         0.130879
                   29         0.10751         0.130936
                   30         -.19389         0.131758
;
PROC PRINT;
RUN;
 
PROC GPLOT DATA=INCOMES2;
PLOT SACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4 /VREF=0 /* HREF=0 */
OVERLAY grid frame vaxis=-1.0 to 1.0 by 0.2 haxis=0 to 30 by 2;
RUN;
PROC PRINT data=SASd2;
RUN;
 
DATA SASd2; 
INPUT Lag PSACF SE @@;
twoSE=1.96*SE;
ntwoSE=(-1)* twoSE;
SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;
LINES; 
                                  0        1         0.09667
                                  1       -0.14676   0.09667
                                  2       -0.06114   0.09667
                                  3        0.23713   0.09667
                                  4       -0.33693   0.09667
                                  5       -0.01102   0.09667
                                  6       -0.06898   0.09667
                                  7        0.17476   0.09667
                                  8       -0.31012   0.09667
                                  9       -0.05505   0.09667
                                 10        0.04653   0.09667
                                 11        0.04660   0.09667
                                 12       -0.16374   0.09667
                                 13       -0.04119   0.09667
                                 14       -0.14619   0.09667
                                 15       -0.09253   0.09667
                                 16        0.03839   0.09667
                                 17       -0.00748   0.09667
                                 18       -0.04872   0.09667
                                 19        0.09913   0.09667
                                 20       -0.10199   0.09667
                                 21       -0.02288   0.09667
                                 22       -0.04919   0.09667
                                 23        0.05343   0.09667
                                 24       -0.08032   0.09667
                                 25       -0.02067   0.09667
                                 26        0.10214   0.09667
                                 27        0.03553   0.09667
                                 28       -0.13350   0.09667
                                 29       -0.01315   0.09667
                                 30       -0.06087   0.09667
;
PROC PRINT;
RUN;
 
PROC GPLOT DATA=SASd2;
PLOT PSACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4 /VREF=0 /* HREF=0 */
OVERLAY grid frame vaxis=-1.0 to 1.0 by 0.2 haxis=0 to 30 by 2;
RUN;
