DATA FREIGHTDATA;
INFILE 'G:\BOX-ANN\FREIGHT2.dat';
INPUT FREIGHT MONTH QUART $ SEASON $;  
t=_N_;
lnF=log(FREIGHT);
DlnF=DIF1(lnF);
D112lnF=DIF12(DlnF);
run; 

SYMBOL1 v=dot  cv=black i=spline ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=join ci=black; 
SYMBOL4 v=none cv=black i=spline ci=black; 

proc gplot data=FREIGHTDATA;
plot DlnF*t/vref=0 grid frame
VREF=0.0 HREF=111.5 VAXIS=-0.6 TO 0.6 BY 0.1 HAXIS=0 TO 120 BY 10;
run;

PROC ARIMA DATA=FREIGHTDATA; 
IDENTIFY VAR=DlnF NLAG=36;
RUN;

proc gplot data=FREIGHTDATA;
plot D112lnF*t/vref=0 grid frame
VREF=0.0 HREF=111.5 VAXIS=-0.6 TO 0.6 BY 0.1 HAXIS=0 TO 120 BY 10;
run;

PROC ARIMA DATA=FREIGHTDATA; 
IDENTIFY VAR=D112lnF NLAG=36;
RUN;

quit;