DATA FREIGHTDATA;
INFILE 'G:\BOX-ANN\FREIGHT4NOEXT.dat'; /* 120+20 FREIGHT2.dat:120 size FREIGHT4NOEXT.dat*/
INPUT FREIGHT MONTH QUART $ SEASON $;  
t=_N_;
IF t>120 THEN DELETE;
                             DATE=INTNX('MONTH','1JAN69'D, _n_-1);
lnF=log(FREIGHT);
DlnF=DIF1(lnF);  
run; 

SYMBOL1 v=dot  cv=black i=spline ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=join ci=black; 
SYMBOL4 v=none cv=black i=spline ci=black; 

/* PROC PRINT; VAR FREIGHT MONTH QUART SEASON lnF DlnF;
RUN; */

proc gplot data=FREIGHTDATA;
plot FREIGHT*t/ vref=0 grid frame;
run;

proc gplot data=FREIGHTDATA;
plot lnF*t/ vref=0 grid frame;
run;

proc gplot data=FREIGHTDATA;
plot DlnF*t/ vref=0 grid frame
vaxis=-0.5 to 0.5 by 0.1 haxis=0 to 120 by 10;
run;

PROC ARIMA DATA=FREIGHTDATA; 
IDENTIFY VAR=DlnF NLAG=36;
RUN;

PROC ARIMA DATA=FREIGHTDATA; 
IDENTIFY VAR=DlnF NLAG=36;
ESTIMATE Q=(1)(12) METHOD=ML; 
FORECAST LEAD=20 OUT=OUT1 PRINTALL;
RUN;








/*
proc gplot data=OUT1; 
plot residual*t=1/ vref=0 grid frame;
run; */


/*
proc gplot data=FREIGHTDATA;
plot DlnF*DATE=1/
HAXIS='1JAN69'D TO '1JAN80'D BY YEAR;
HREF='1APR79'D;
run;

PROC ARIMA DATA=FREIGHTDATA; 
IDENTIFY VAR=DlnF NLAG=36;
RUN;

PROC ARIMA DATA=FREIGHTDATA; 
IDENTIFY VAR=DlnF NLAG=36;
ESTIMATE Q=(1)(12) METHOD=ML; */      
RUN;

/* vaxis=-0.4 to 0.4 by 0.1 haxis=0 to 140 by 10; */