DATA waterdata;
INFILE 'G:\BOX-ANN\WATER3.dat';
INPUT X @@;
t=_N_;

PROC PRINT; VAR t X;
RUN;

DATA waterpred; 
INPUT t LL UL;
LINES;

PROC PRINT; VAR t LL UL;
RUN;
 
SYMBOL1 v=dot cv=black i=spline ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=spline ci=black;

PROC GPLOT DATA=waterdata;
PLOT X*t=1/OVERLAY GRID FRAME  VAXIS=4 TO 22 BY 2 HAXIS=0 TO 260 BY 24;;
RUN;
 
PROC ARIMA DATA=waterdata;
IDENTIFY VAR=X NLAG=36;    
RUN;
