DATA analy1;
INPUT t X Z S L U;
XP=exp(Z);
XL=exp(L);
XU=exp(U);
LINES;
133  417       6.0387       0.0367         5.9668         6.1106
134  391       5.9888       0.0438         5.9030         6.0747
135  419       6.1456       0.0499         6.0478         6.2433
136  461       6.1192       0.0553         6.0107         6.2276
137  472       6.1599       0.0603         6.0417         6.2780
138  535       6.3049       0.0648         6.1778         6.4320
139  622       6.4336       0.0691         6.2981         6.5690
140  606       6.4463       0.0731         6.3030         6.5896
141  508       6.2671       0.0769         6.1163         6.4178
142  461       6.1366       0.0806         5.9787         6.2945
143  390       6.0083       0.0840         5.8436         6.1730
144  432       6.1148       0.0874         5.9435         6.2860
;

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i= spline ci=black;

PROC PRINT; VAR XP XL XU;
RUN;

PROC GPLOT DATA=analy1;
PLOT XP*t=1 X*t=1 XL*t=1 XU*t=1 /OVERLAY grid frame ;
RUN; 

DATA analy2;
INFILE 'D:\PASSENGER.dat';
INPUT Pa @@; 
t=_N_;
IF t>132 THEN DELETE;  

PROC PRINT;
RUN;

PROC GPLOT DATA=analy2;
PLOT Pa*t=1 /OVERLAY HREF=132.5 grid frame vaxis=100 to 700 by 100 haxis=0 to 150 by 10;  
RUN; 

DATA analy3;
SET analy1 analy2; BY t;

PROC PRINT; VAR t X Z S L U XP XL XU;
RUN;

PROC GPLOT DATA=analy3;
PLOT Pa*t=1 X*t=1 XP*t=2 /OVERLAY HREF=132.5 grid frame ;
RUN; 

DATA NEW;
MERGE analy1 analy2;
IF t<97 THEN DELETE; 
MRE=ABS(X-XP)/X;    /* x_act-fo_ori3)/x_act; */

PROC PRINT; VAR t MRE;  
RUN; 

PROC MEANS; VAR MRE;  
RUN; 
 