DATA analy;
INFILE 'G:\BOX-ANN\EXPORTS.dat';
INPUT q exports @@;
t=_N_;
DATE=INTNX('quarter','1jan58'd,_N_-1); 
format date yyq5.;

exportsm=exports-1141.87;
DIFF1=dif1(exports);
DIFF4=dif4(exports);

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i= spline ci=black;

PROC PRINT;
RUN;

PROC MEANS MEAN VAR STD MIN MAX N; 
RUN;

PROC GPLOT DATA=analy;
PLOT exports*date=1/VREF=1141.87 grid frame vaxis=600 to 1600 by 100 
haxis='01jan58'd to '01apr68'd by quarter;
RUN;

PROC GPLOT DATA=analy;
PLOT DIFF1*date=1/VREF=20.02 grid frame vaxis=-500 to 500 by 50 
haxis='01jan58'd to '01apr68'd by quarter;
RUN;