DATA sim0;
A=1;
omega=0.0625;
phi=0;
DO t=0 TO 100;
gwn=0+0.1*NORMAL(12345);
Xt=A*cos(2*3.14*omega*t);
Yt=A*cos(2*3.14*omega*t)+gwn;
OUTPUT sim0;
END;
RUN;

PROC PRINT;
VAR t Xt Yt gwn;
RUN; 

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=none cv=black i=spline ci=black; 
SYMBOL3 v=none cv=black i=join ci=black; 
SYMBOL4 v=none cv=black i=line ci=black; 
SYMBOL5 v=circle cv=black i=line ci=black; 

PROC GPLOT DATA=sim0;
PLOT gwn*t=1 Xt*t=3 Yt*t=5/OVERLAY HREF=0 VREF=0  vaxis=-4 to 4 by 2 haxis=0 to 100 by 10;
RUN;


