DATA sim0;
A=1;
omega4=20;
DO t=0 TO 2000;
Xt=A*sin(2*3.14*omega4*t+3.14)+12;
X4t=A*sin(2*3.14*omega4*t+3.14);
X40t=A*sin(2*3.14*omega4*t+3.14)+3;
X400t=A*sin(2*3.14*omega4*t+3.14)+6;
X4000t=A*sin(2*3.14*omega4*t+3.14)+9;
OUTPUT sim0;
END;
RUN;

DATA sim1;
A=1;
omega3=5;
DO t1=0 TO 400;
t11=5*t1;
X41t=A*sin(2*3.14*omega3*t11+3.14)+3;
OUTPUT sim1;
END;
RUN;

DATA sim2;
A=1;
omega2=2;
DO t2=0 TO 200;
t21=10*t2;
X42t=A*sin(2*3.14*omega2*t21+3.14)+6;
OUTPUT sim2;
END;
RUN;

DATA sim3;
A=1;
omega1=1;
DO t3=0 TO 100;
t31=20*t3;
X43t=A*sin(2*3.14*omega1*t31+3.14)+9;
OUTPUT sim3;
END;
RUN;

DATA sim01;
SET sim0 sim1;
RUN;

DATA sim02;
SET sim0 sim2;
RUN;

DATA sim03;
SET sim0 sim3;
RUN;

DATA sim04;
SET sim0 sim1 sim2 sim3;
RUN;

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=none cv=black i=spline ci=black; 
SYMBOL3 v=none cv=black i=join ci=black; 
SYMBOL4 v=none cv=black i=line ci=black; 
SYMBOL5 v=circle cv=black i=line ci=black; 

PROC GPLOT DATA=sim04;
PLOT Xt*t=1 X4t*t=2 X40t*t=2 X41t*t11=2 X400t*t=2 X42t*t21=2 X4000t*t=2 X43t*t31=2/
OVERLAY grid HREF=0  VREF=0 VREF=3 VREF=6 VREF=9 VREF=12 
vaxis=-2 to 14 by 1 haxis=0 to 2000 by 2000;
RUN;

/* PROC GPLOT DATA=sim0;
PLOT X4t*t=2 X4t*t=3/OVERLAY grid HREF=0  VREF=0 VREF=3 VREF=6 VREF=9  
vaxis=-2 to 12 by 1 haxis=0 to 2000 by 2000;
RUN; 

PROC GPLOT DATA=sim01;
PLOT X40t*t=2 X41t*t11=2/OVERLAY grid HREF=0  VREF=0 VREF=3 VREF=6 VREF=9  
vaxis=-2 to 12 by 1 haxis=0 to 2000 by 2000;
RUN;

PROC GPLOT DATA=sim02;
PLOT X400t*t=2 X42t*t21=2/OVERLAY grid HREF=0  VREF=0 VREF=3 VREF=6 VREF=9  
vaxis=-2 to 12 by 1 haxis=0 to 2000 by 2000;
RUN;

PROC GPLOT DATA=sim03;
PLOT X4000t*t=2 X43t*t31=2/OVERLAY grid HREF=0  VREF=0 VREF=3 VREF=6 VREF=9  
vaxis=-2 to 12 by 1 haxis=0 to 2000 by 2000;
RUN;  */

