DATA INCOMES;
INFILE 'G:\BOX-ANN\INCOMES.dat'; 
INPUT X @@;
date=intnx('qtr', '1jan60'd,_n_-1);
format date yyq.;

PROC PRINT; 
RUN;

SYMBOL1 v=dot cv=black i=spline ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=line ci=black;

PROC GPLOT DATA=INCOMES;
PLOT X*DATE=3 /VREF=0 grid frame vaxis=1000 to 5000 by 500;
RUN;

PROC ARIMA DATA=INCOMES;
IDENTIFY VAR=X NLAG=60;  
ESTIMATE P=1 method=ML;
FORECAST LEAD=5 OUT=out1;
RUN;

