DATA waterdata;
INFILE 'G:\BOX-ANN\WATER3.dat';
INPUT X @@;
t=_N_;
Z=DIF12(X);
 
PROC PRINT; VAR t X Z;
RUN;
 
SYMBOL1 v=dot cv=black i=spline ci=black;
SYMBOL2 v=circle cv=black i=spline ci=black;
SYMBOL3 v=none cv=black i=spline ci=black;

PROC GPLOT DATA=waterdata;
PLOT Z*t=1/OVERLAY GRID VREF=0 FRAME VAXIS=-10 TO 10 BY 2 HAXIS=0 TO 270 BY 24;
RUN;
 
PROC ARIMA DATA=waterdata;
IDENTIFY VAR=X(12) NLAG=36;    
ESTIMATE Q=(12,24) method=ML;
FORECAST LEAD=12 OUT=out1;
RUN;
