DATA analy_6;
INFILE 'G:\BOX-ANN\HOTEL3.dat';
INPUT t x m;
lnx=log(x);

SYMBOL1 v=dot cv=black i=line ci=black;
SYMBOL2 v=circle cv=black i=line ci=black;
SYMBOL3 v=none cv=black i=line ci=black;

/*
PROC PRINT;
RUN;
PROC GPLOT DATA=analy_6;
PLOT x*t=3/grid frame vaxis=400 to 1300 by 150 haxis=1 to 180 by 20;
RUN;
PROC GPLOT DATA=analy_6;
PLOT lnx*t=3/grid frame vaxis=6.10 to 7.30 by 0.20 haxis=1 to 180 by 20;
RUN; 

PROC REG;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT1 R=RESID1 P=PRED1;
RUN;
PROC PLOT DATA=OUT1;
PLOT RESID1*PRED1='*';
RUN;

PROC REG;
MODEL lnx=t/VIF STB;
OUTPUT OUT=OUT2 R=RESID2 P=PRED2;
RUN;
PROC PLOT DATA=OUT2;
PLOT RESID2*PRED2='*';
RUN;              */

PROC SORT data=analy_6 out=analy_7; BY t m; 
RUN;

PROC PRINT DATA=analy_7; VAR t m x lnx;
RUN;

DATA analy_81;
SET analy_7;
IF m NE 1 THEN DELETE;
RUN;
PROC REG DATA=analy_81;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT81 R=RESID81 P=PRED81;
RUN;
PROC PLOT DATA=OUT81;
PLOT RESID81*PRED81='*';
RUN;

DATA analy_82;
SET analy_7;
IF m NE 2 THEN DELETE;
RUN;
PROC REG DATA=analy_82;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT82 R=RESID82 P=PRED82;
RUN;
PROC PLOT DATA=OUT82;
PLOT RESID82*PRED82='*';
RUN;

DATA analy_83;
SET analy_7;
IF m NE 3 THEN DELETE;
RUN;
PROC REG DATA=analy_83;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT83 R=RESID83 P=PRED83;
RUN;
PROC PLOT DATA=OUT83;
PLOT RESID83*PRED83='*';
RUN;

DATA analy_84;
SET analy_7;
IF m NE 4 THEN DELETE;
RUN;
PROC REG DATA=analy_84;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT84 R=RESID84 P=PRED84;
RUN;
PROC PLOT DATA=OUT84;
PLOT RESID84*PRED84='*';
RUN;

DATA analy_85;
SET analy_7;
IF m NE 5 THEN DELETE;
RUN;
PROC REG DATA=analy_85;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT85 R=RESID85 P=PRED85;
RUN;
PROC PLOT DATA=OUT85;
PLOT RESID85*PRED85='*';
RUN;

DATA analy_86;
SET analy_7;
IF m NE 6 THEN DELETE;
RUN;
PROC REG DATA=analy_86;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT86 R=RESID86 P=PRED86;
RUN;
PROC PLOT DATA=OUT86;
PLOT RESID86*PRED86='*';
RUN;

DATA analy_87;
SET analy_7;
IF m NE 7 THEN DELETE;
RUN;
PROC REG DATA=analy_87;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT87 R=RESID87 P=PRED87;
RUN;
PROC PLOT DATA=OUT87;
PLOT RESID87*PRED87='*';
RUN;

DATA analy_88;
SET analy_7;
IF m NE 8 THEN DELETE;
RUN;
PROC REG DATA=analy_88;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT88 R=RESID88 P=PRED88;
RUN;
PROC PLOT DATA=OUT88;
PLOT RESID88*PRED88='*';
RUN;

DATA analy_89;
SET analy_7;
IF m NE 9 THEN DELETE;
RUN;
PROC REG DATA=analy_89;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT89 R=RESID89 P=PRED89;
RUN;
PROC PLOT DATA=OUT89;
PLOT RESID89*PRED89='*';
RUN;

DATA analy_810;
SET analy_7;
IF m NE 10 THEN DELETE;
RUN;
PROC REG DATA=analy_810;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT810 R=RESID810 P=PRED810;
RUN;
PROC PLOT DATA=OUT810;
PLOT RESID810*PRED810='*';
RUN;

DATA analy_811;
SET analy_7;
IF m NE 11 THEN DELETE;
RUN;
PROC REG DATA=analy_811;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT811 R=RESID811 P=PRED811;
RUN;
PROC PLOT DATA=OUT811;
PLOT RESID811*PRED811='*';
RUN;

DATA analy_812;
SET analy_7;
IF m NE 12 THEN DELETE;
RUN;
PROC REG DATA=analy_812;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT812 R=RESID812 P=PRED812;
RUN;
PROC PLOT DATA=OUT812;
PLOT RESID812*PRED812='*';
RUN;

/*
DATA analy_all;
SET analy_82 analy_83 analy_84 analy_85
    analy_86 analy_87 analy_88 analy_89 
    analy_810 analy_811 analy_812;
RUN;


PROC PRINT DATA=analy_all;
RUN;

PROC GPLOT DATA=analy_all;
PLOT x*t=2/grid frame vaxis=400 to 1200 by 100 haxis=1 to 180 by 20; 
RUN;


PROC REG DATA=analy_all;
MODEL x=t/VIF STB; 
OUTPUT OUT=OUT11 R=RESID11 P=PRED11;
RUN;

PROC PLOT DATA=OUT11;
PLOT RESID11*PRED11='*';
RUN;

PROC GPLOT DATA=analy_all;
PLOT lnx*t=2/grid frame vaxis=6.10 to 7.30 by 0.20 haxis=1 to 180 by 20;
RUN;

PROC REG DATA=analy_all;
MODEL lnx=t/VIF STB; 
OUTPUT OUT=OUT111 R=RESID111 P=PRED111;
RUN;

PROC PLOT DATA=OUT111;
PLOT RESID111*PRED111='*';
RUN;

PROC GPLOT DATA=analy_all;
PLOT x*m=1/grid frame; 
RUN;

PROC GPLOT DATA=analy_all;
PLOT lnx*m=1/grid frame; 
RUN;

*/