DATA SASd2;
INPUT Lag  SACF  SE;
twoSE=1.96*SE;
ntwoSE=(-1)*twoSE;

SYMBOL1 v=dot cv=black i=line ci=black; SYMBOL2 v=circle cv=black
i=spline ci=black; SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;

LINES;
                    0       1.00000             0
                    1       0.79659      0.077152
                    2       0.59548      0.116218
                    3       0.38694      0.133147
                    4       0.27073      0.139680
                    5       0.13792      0.142769
                    6       0.13046      0.143560
                    7       0.13361      0.144264
                    8       0.25181      0.144998
                    9       0.35199      0.147578
                   10       0.52755      0.152494
                   11       0.69086      0.162995
                   12       0.85302      0.179581
                   13       0.67211      0.202267
                   14       0.48647      0.215150
                   15       0.29272      0.221601
                   16       0.18528      0.223890
                   17       0.05807      0.224801
                   18       0.04599      0.224891
                   19       0.04614      0.224946
                   20       0.15466      0.225003
                   21       0.24694      0.225635
                   22       0.40920      0.227238
                   23       0.56198      0.231582
                   24       0.71289      0.239562
                   25       0.55016      0.251873
                   26       0.37827      0.258928
                   27       0.20169      0.262196
                   28       0.09857      0.263118
                   29       -.02054      0.263338
                   30       -.03383      0.263348
                   31       -.03095      0.263373
                   32       0.06354      0.263395
                   33       0.14807      0.263486
                   34       0.29766      0.263981
                   35       0.44319      0.265971
                   36       0.58310      0.270332
; 
PROC PRINT; 
RUN; 
PROC GPLOT DATA=SASd2; 
PLOT SACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4/VREF=0 
         OVERLAY grid  frame  vaxis=-1.0  to 1.0  by 0.2  haxis=0 to 36 by 2;
RUN;

DATA SASd2; 
INPUT Lag  PSACF  SE; 
twoSE=1.96*SE; 
ntwoSE=(-1)*twoSE;

SYMBOL1 v=dot cv=black i=line ci=black; SYMBOL2 v=circle cv=black
i=spline ci=black; SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;

LINES;
                   1        0.79659         0.07715
                   2       -0.10695         0.07715
                   3       -0.14657         0.07715
                   4        0.11054         0.07715
                   5       -0.15002         0.07715
                   6        0.22977         0.07715
                   7        0.01721         0.07715
                   8        0.28200         0.07715
                   9        0.12077         0.07715
                  10        0.32731         0.07715
                  11        0.40900         0.07715
                  12        0.45209         0.07715
                  13       -0.64284         0.07715
                  14        0.00374         0.07715
                  15        0.02614         0.07715
                  16       -0.07334         0.07715
                  17       -0.03458         0.07715
                  18       -0.11842         0.07715
                  19       -0.03361         0.07715
                  20       -0.00484         0.07715
                  21       -0.01812         0.07715
                  22        0.06338         0.07715
                  23        0.08087         0.07715
                  24        0.07154         0.07715
                  25       -0.14359         0.07715
                  26        0.01800         0.07715
                  27        0.06765         0.07715
                  28       -0.08561         0.07715
                  29        0.04466         0.07715
                  30       -0.03752         0.07715
                  31        0.00295         0.07715
                  32       -0.08267         0.07715
                  33       -0.01375         0.07715
                  34        0.03309         0.07715
                  35        0.01586         0.07715
                  36       -0.00533         0.07715
; 
PROC PRINT; RUN; 
PROC GPLOT DATA=SASd2; 
PLOT PSACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4/VREF=0 
         OVERLAY grid  frame  vaxis=-1.0  to 1.0  by 0.2  haxis=1 to 36 by 2;
RUN;



DATA SASd2;
INPUT Lag  SACF  SE;
twoSE=1.96*SE;
ntwoSE=(-1)*twoSE;

SYMBOL1 v=dot cv=black i=line ci=black; SYMBOL2 v=circle cv=black
i=spline ci=black; SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;

LINES;
                    0          1.00000                0
                    1          0.00228         0.077382
                    2          0.01250         0.077383
                    3          -.22432         0.077395
                    4          0.01021         0.081195
                    5          -.30792         0.081203
                    6          0.00846         0.087917
                    7          -.29343         0.087921
                    8          0.01369         0.093602
                    9          -.19909         0.093614
                   10          0.01510         0.096116
                   11          0.00776         0.096130
                   12          0.89974         0.096134
                   13          0.01478         0.137610
                   14          0.01494         0.137620
                   15          -.20660         0.137629
                   16          0.01739         0.139474
                   17          -.27896         0.139487
                   18          -.00292         0.142789
                   19          -.26607         0.142789
                   20          0.00344         0.145728
                   21          -.17946         0.145728
                   22          0.00162         0.147046
                   23          0.01956         0.147046
                   24          0.81869         0.147061
                   25          0.02535         0.172204
                   26          0.00127         0.172226
                   27          -.16945         0.172226
                   28          0.00935         0.173221
                   29          -.25730         0.173224
                   30          -.00983         0.175498
                   31          -.22965         0.175501
                   32          -.01052         0.177292
                   33          -.16416         0.177295
                   34          -.00835         0.178203
                   35          0.02439         0.178205
                   36          0.74907         0.178225
; 
PROC PRINT; 
RUN; 
PROC GPLOT DATA=SASd2; 
PLOT SACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4/VREF=0 
         OVERLAY grid  frame  vaxis=-1.0  to 1.0  by 0.2  haxis=0 to 36 by 2;
RUN;


DATA SASd2; 
INPUT Lag  PSACF  SE; 
twoSE=1.96*SE; 
ntwoSE=(-1)*twoSE;

SYMBOL1 v=dot cv=black i=line ci=black; SYMBOL2 v=circle cv=black
i=spline ci=black; SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;

LINES;
                    1        0.00228     0.07715
                    2        0.01250     0.07715
                    3       -0.22442     0.07715
                    4        0.01232     0.07715
                    5       -0.31847     0.07715
                    6       -0.04247     0.07715
                    7       -0.35478     0.07715
                    8       -0.17882     0.07715
                    9       -0.38977     0.07715
                   10       -0.51990     0.07715
                   11       -0.71695     0.07715
                   12        0.54214     0.07715
                   13       -0.10946     0.07715
                   14       -0.17101     0.07715
                   15       -0.01197     0.07715
                   16       -0.07385     0.07715
                   17        0.10030     0.07715
                   18       -0.05958     0.07715
                   19        0.05798     0.07715
                   20        0.00064     0.07715
                   21       -0.00281     0.07715
                   22       -0.03146     0.07715
                   23        0.00948     0.07715
                   24        0.08835     0.07715
                   25       -0.00088     0.07715
                   26       -0.06658     0.07715
                   27        0.11532     0.07715
                   28       -0.03145     0.07715
                   29       -0.03653     0.07715
                   30        0.02756     0.07715
                   31        0.04699     0.07715
                   32        0.01836     0.07715
                   33       -0.04770     0.07715
                   34        0.03237     0.07715
                   35       -0.02137     0.07715
                   36        0.02781     0.07715
; 
PROC PRINT; 
RUN; 
PROC GPLOT DATA=SASd2; 
PLOT PSACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4/VREF=0 
         OVERLAY grid  frame  vaxis=-1.0  to 1.0  by 0.2  haxis=1 to 36 by 2;
RUN;


DATA SASd2;
INPUT Lag  SACF  SE;
twoSE=1.96*SE;
ntwoSE=(-1)*twoSE;

SYMBOL1 v=dot cv=black i=line ci=black; SYMBOL2 v=circle cv=black
i=spline ci=black; SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;

LINES;
                    0         1.00000               0
                    1         0.10679        0.080064
                    2         -.03298        0.080972
                    3         -.23097        0.081058
                    4         -.05799        0.085172
                    5         -.13052        0.085425
                    6         0.11915        0.086694
                    7         0.09946        0.087737
                    8         0.06312        0.088457
                    9         0.00006        0.088746
                   10         0.12030        0.088746
                   11         -.04752        0.089785
                   12         -.33703        0.089946
                   13         -.00240        0.097706
                   14         0.12433        0.097707
                   15         0.13953        0.098716
                   16         0.06417        0.099972
                   17         0.04725        0.100235
                   18         -.16543        0.100378
                   19         -.03056        0.102111
                   20         0.06014        0.102170
                   21         0.12260        0.102396
                   22         -.04098        0.103333
                   23         0.03721        0.103437
                   24         -.04682        0.103523
                   25         0.04218        0.103658
                   26         -.06955        0.103768
                   27         0.15660        0.104067
                   28         -.07154        0.105567
                   29         -.03811        0.105877
                   30         0.00383        0.105965
                   31         0.12132        0.105966
                   32         -.12994        0.106852
                   33         0.05154        0.107861
                   34         -.02735        0.108018
                   35         0.09985        0.108063
                   36         0.00685        0.108652
; 
PROC PRINT; 
RUN; 
PROC GPLOT DATA=SASd2; 
PLOT SACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4/VREF=0 
         OVERLAY grid  frame  vaxis=-1.0  to 1.0  by 0.2  haxis=0 to 36 by 2;
RUN;


DATA SASd2; 
INPUT Lag  PSACF  SE; 
twoSE=1.96*SE; 
ntwoSE=(-1)*twoSE;

SYMBOL1 v=dot cv=black i=line ci=black; SYMBOL2 v=circle cv=black
i=spline ci=black; SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;

LINES;
          1        0.10679   0.07715
          2       -0.04489   0.07715
          3       -0.22552   0.07715
          4       -0.01188   0.07715
          5       -0.14476   0.07715
          6        0.10018   0.07715
          7        0.05887   0.07715
          8       -0.00659   0.07715
          9        0.04437   0.07715
         10        0.15055   0.07715
         11       -0.03305   0.07715
         12       -0.34048   0.07715
         13        0.13768   0.07715
         14        0.10536   0.07715
         15       -0.00669   0.07715
         16        0.02814   0.07715
         17       -0.00131   0.07715
         18       -0.06786   0.07715
         19        0.09635   0.07715
         20        0.06373   0.07715
         21        0.02419   0.07715
         22        0.03649   0.07715
         23        0.01798   0.07715
         24       -0.17968   0.07715
         25        0.14014   0.07715
         26       -0.00172   0.07715
         27        0.14050   0.07715
         28       -0.05793   0.07715
         29       -0.10556   0.07715
         30        0.00651   0.07715
         31        0.14586   0.07715
         32       -0.12536   0.07715
         33        0.09057   0.07715
         34       -0.00767   0.07715
         35        0.05986   0.07715
         36       -0.04854   0.07715
; 
PROC PRINT; 
RUN; 
PROC GPLOT DATA=SASd2; 
PLOT PSACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4/VREF=0 
         OVERLAY grid  frame  vaxis=-1.0  to 1.0  by 0.2  haxis=1 to 36 by 2;
RUN;


DATA SASd2;
INPUT Lag  SACF  SE;
twoSE=1.96*SE;
ntwoSE=(-1)*twoSE;

SYMBOL1 v=dot cv=black i=line ci=black; SYMBOL2 v=circle cv=black
i=spline ci=black; SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;

LINES;   
            0           1.00000               0
            1           -.42270        0.080322
            2           0.05128        0.093580
            3           -.22059        0.093761
            4           0.14855        0.097051
            5           -.19144        0.098507
            6           0.16196        0.100879
            7           -.00676        0.102543
            8           0.02501        0.102545
            9           -.09700        0.102585
           10           0.16184        0.103175
           11           0.04663        0.104800
           12           -.33473        0.104934
           13           0.12051        0.111610
           14           0.05048        0.112446
           15           0.05569        0.112592
           16           -.03636        0.112770
           17           0.11573        0.112846
           18           -.20246        0.113609
           19           0.04067        0.115913
           20           0.00035        0.116005
           21           0.12886        0.116005
           22           -.13292        0.116925
           23           0.10427        0.117896
           24           -.10873        0.118490
           25           0.11203        0.119132
           26           -.19379        0.119809
           27           0.26855        0.121815
           28           -.15797        0.125576
           29           0.01059        0.126852
           30           -.05086        0.126858
           31           0.20205        0.126989
           32           -.24555        0.129046
           33           0.13397        0.132026
           34           -.11571        0.132901
           35           0.13364        0.133549
           36           -.11022        0.134409
; 
PROC PRINT; 
RUN; 
PROC GPLOT DATA=SASd2; 
PLOT SACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4/VREF=0 
         OVERLAY grid  frame  vaxis=-1.0  to 1.0  by 0.2  haxis=0 to 36 by 2;
RUN;


DATA SASd2; 
INPUT Lag  PSACF  SE; 
twoSE=1.96*SE; 
ntwoSE=(-1)*twoSE;

SYMBOL1 v=dot cv=black i=line ci=black; SYMBOL2 v=circle cv=black
i=spline ci=black; SYMBOL3 v=none cv=black i=join ci=black;
SYMBOL4 v=none cv=black i=line ci=black;

LINES;
                       1       -0.42270    0.07715
                       2       -0.15511    0.07715
                       3       -0.32576    0.07715
                       4       -0.12825    0.07715
                       5       -0.30841    0.07715
                       6       -0.17537    0.07715
                       7       -0.08084    0.07715
                       8       -0.10829    0.07715
                       9       -0.15007    0.07715
                      10        0.05337    0.07715
                      11        0.26767    0.07715
                      12       -0.23791    0.07715
                      13       -0.12860    0.07715
                      14       -0.01211    0.07715
                      15       -0.04099    0.07715
                      16       -0.01094    0.07715
                      17        0.04738    0.07715
                      18       -0.10888    0.07715
                      19       -0.05036    0.07715
                      20       -0.01433    0.07715
                      21       -0.00838    0.07715
                      22        0.03077    0.07715
                      23        0.17088    0.07715
                      24       -0.14672    0.07715
                      25        0.02204    0.07715
                      26       -0.11724    0.07715
                      27        0.11692    0.07715
                      28        0.12048    0.07715
                      29       -0.01377    0.07715
                      30       -0.11057    0.07715
                      31        0.14499    0.07715
                      32       -0.09048    0.07715
                      33       -0.01573    0.07715
                      34       -0.06850    0.07715
                      35        0.03887    0.07715
                      36       -0.12930    0.07715
;
PROC PRINT; 
RUN; 
PROC GPLOT DATA=SASd2; 
PLOT PSACF*Lag=1 twoSE*Lag=4 ntwoSE*Lag=4/VREF=0 
         OVERLAY grid  frame  vaxis=-1.0  to 1.0  by 0.2  haxis=1 to 36 by 2;
RUN;